Bug 211124 - graphics/gimp: update to 2.8.18
Summary: graphics/gimp: update to 2.8.18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Christoph Moench-Tegeder
URL:
Keywords: patch, security
Depends on:
Blocks:
 
Reported: 2016-07-14 19:02 UTC by Piotr Kubaj
Modified: 2016-07-29 20:06 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)
pkubaj: merge-quarterly?


Attachments
gimp 2.8.18 patch (8.48 KB, patch)
2016-07-14 19:02 UTC, Piotr Kubaj
no flags Details | Diff
corrected patch for pkg-plist issues (6.52 KB, patch)
2016-07-14 19:12 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (gnome)
Details | Diff
vuln.xml fragment (899 bytes, text/xml)
2016-07-19 13:25 UTC, Christoph Moench-Tegeder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2016-07-14 19:02:00 UTC
Created attachment 172530 [details]
gimp 2.8.18 patch

The patch attached updates the port to 2.8.18, along with gimp-app port. Since it fixes CVE-2016-4994, it should be MFH'd. Builds fine on 10.3-RELEASE.
Comment 1 Piotr Kubaj freebsd_committer 2016-07-14 19:12:32 UTC
Created attachment 172534 [details]
corrected patch for pkg-plist issues
Comment 2 Christoph Moench-Tegeder freebsd_committer 2016-07-19 13:25:51 UTC
Created attachment 172721 [details]
vuln.xml fragment
Comment 3 commit-hook freebsd_committer 2016-07-29 08:38:55 UTC
A commit references this bug:

Author: cmt
Date: Fri Jul 29 08:38:09 UTC 2016
New revision: 419233
URL: https://svnweb.freebsd.org/changeset/ports/419233

Log:
  Update The Gimp to 2.8.18

  PR:		211124
  Submitted by:	pkubaj@anongoth.pl
  Approved by:	rene (mentor)
  Approved by:	maintainer-timeout
  MFH:		2016Q3
  Security:	6fb8a90f-c9d5-4d14-b940-aed3d63c2edc

Changes:
  head/graphics/gimp/Makefile
  head/graphics/gimp-app/Makefile
  head/graphics/gimp-app/distinfo
  head/graphics/gimp-app/pkg-plist
Comment 4 Christoph Moench-Tegeder freebsd_committer 2016-07-29 08:40:51 UTC
Thanks. Committed with some modifications: please do not remove optionised items from pkg-plist without verifying they won't be needed (see JASPER and GHOSTSCRIPT options).
Comment 5 commit-hook freebsd_committer 2016-07-29 20:05:55 UTC
A commit references this bug:

Author: cmt
Date: Fri Jul 29 20:04:56 UTC 2016
New revision: 419268
URL: https://svnweb.freebsd.org/changeset/ports/419268

Log:
  MFH: r419233

  Update The Gimp to 2.8.18

  PR:		211124
  Submitted by:	pkubaj@anongoth.pl
  Approved by:	rene (mentor)
  Approved by:	maintainer-timeout
  Security:	6fb8a90f-c9d5-4d14-b940-aed3d63c2edc

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/graphics/gimp/Makefile
  branches/2016Q3/graphics/gimp-app/Makefile
  branches/2016Q3/graphics/gimp-app/distinfo
  branches/2016Q3/graphics/gimp-app/pkg-plist